> ## Documentation Index
> Fetch the complete documentation index at: https://failfast.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Partially update a warehouse



## OpenAPI

````yaml /api-reference/openapi.json patch /inventory/warehouse/{id}/
openapi: 3.0.3
info:
  title: Fail Fast API
  version: v1
  description: >-
    REST API for the Fail Fast platform. Authenticate with a workspace API key
    sent as a bearer token. Every response uses the `{message, error, data}`
    envelope.
servers:
  - url: https://api.failfast.ai
security: []
paths:
  /inventory/warehouse/{id}/:
    patch:
      tags:
        - Inventory
      summary: Partially update a warehouse
      operationId: inventory_warehouse_partial_update
      parameters:
        - in: path
          name: id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this warehouse.
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedWarehouse'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedWarehouse'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedWarehouse'
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - error
                  - data
                properties:
                  message:
                    type: string
                    description: Human-readable outcome of the request.
                  error:
                    type: boolean
                    description: true when the request failed.
                    example: false
                  data:
                    $ref: '#/components/schemas/Warehouse'
          description: ''
      security:
        - apiKey: []
components:
  schemas:
    PatchedWarehouse:
      type: object
      description: |-
        A ModelSerializer that takes an additional `fields` argument that
        controls which fields should be displayed.
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        custom_fields:
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        audit_status:
          allOf:
            - $ref: '#/components/schemas/AuditStatusEnum'
          readOnly: true
        name:
          type: string
        type:
          $ref: '#/components/schemas/WarehouseTypeEnum'
        transaction_permission:
          $ref: '#/components/schemas/TransactionPermissionEnum'
        is_active:
          type: boolean
        member:
          type: string
          format: uuid
          readOnly: true
        created_by:
          type: string
          format: uuid
          readOnly: true
        updated_by:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        deleted_by:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        cost_center:
          type: string
          format: uuid
        branch_office:
          type: string
          format: uuid
        location:
          type: string
          format: uuid
    Warehouse:
      type: object
      description: |-
        A ModelSerializer that takes an additional `fields` argument that
        controls which fields should be displayed.
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        custom_fields:
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        deleted_at:
          type: string
          format: date-time
          readOnly: true
          nullable: true
        audit_status:
          allOf:
            - $ref: '#/components/schemas/AuditStatusEnum'
          readOnly: true
        name:
          type: string
        type:
          $ref: '#/components/schemas/WarehouseTypeEnum'
        transaction_permission:
          $ref: '#/components/schemas/TransactionPermissionEnum'
        is_active:
          type: boolean
        member:
          type: string
          format: uuid
          readOnly: true
        created_by:
          type: string
          format: uuid
          readOnly: true
        updated_by:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        deleted_by:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        cost_center:
          type: string
          format: uuid
        branch_office:
          type: string
          format: uuid
        location:
          type: string
          format: uuid
      required:
        - audit_status
        - branch_office
        - cost_center
        - created_at
        - created_by
        - deleted_at
        - deleted_by
        - id
        - location
        - member
        - name
        - transaction_permission
        - updated_at
        - updated_by
    AuditStatusEnum:
      enum:
        - C
        - U
        - D
      type: string
      description: |-
        * `C` - Created
        * `U` - Updated
        * `D` - Deleted
    WarehouseTypeEnum:
      enum:
        - S
        - T
        - C
      type: string
      description: |-
        * `S` - Standard
        * `T` - Transit
        * `C` - Consignment
    TransactionPermissionEnum:
      enum:
        - P
        - S
        - B
      type: string
      description: |-
        * `P` - Purchase Only
        * `S` - Sales Only
        * `B` - Both
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      description: >-
        Workspace API key sent as a bearer token: `Authorization: Bearer
        failfast_...`. Create keys in Settings -> Workspace -> API Keys.

````